
**** BEGIN STANDARD CODE BLOCK.

* Difference of Proportions Test
prtest voted_2014_prim~y `modelrestriction', by(voter_not_voting)

* Code for storing PR test results
replace modelname="`modelname'" if modelnum==`modelctr'
replace propvoter=string(r(P_2),"%9.3f") if modelnum==`modelctr'
replace propvoting=string(r(P_1),"%9.3f") if modelnum==`modelctr'
replace diffprtest=string((r(P_2)-r(P_1)),"%9.3f") + " [" + string(sqrt(((r(P_1)*(1-r(P_1)))/r(N_1))+ ((r(P_2)*(1-r(P_2)))/r(N_2))) ,"%9.3f") + "]"  if modelnum==`modelctr'
replace numobs="(" + string(r(N_2),"%9.0f") + "," + string(r(N_1),"%9.0f") + ")" if modelnum==`modelctr'

* Regression
regress voted_2014_primary voter_not_voting i.strata Z_* `modelrestriction' [pweight=weight_earlystatestreats], robust

* Code for storing regressing output
replace diffreg=string(_b[voter_not_voting],"%9.3f") + " [" + string(_se[voter_not_voting],"%9.3f") + "]"  if modelnum==`modelctr'
local modelctr=`modelctr'+1

**** END STANDARD CODE BLOCK.
